import automataLogo from '../assets/automata.png'
import { useSession } from '../lib/store';

export function Footer() {
    const session = useSession();

    return <div className='flex items-center justify-center md:justify-between flex-wrap md:flex-nowrap'>
        <div className='w-full md:w-auto flex justify-center'>
            <a href="https://automata.tech/" target="_blank" rel="noreferrer">
                <img src={String(automataLogo)} className="logo automata" alt="Automata logo" />
            </a>
        </div>
        <h2 className='py-5 md:hidden'>Frontend Exercise</h2>
        <button
            type="button"
            className='bg-red-500/20 border-red-500 border border-solid text-red-500 px-2 rounded-lg cursor-pointer w-full md:w-auto'
            onClick={() => {
                session.reset();
            }}
        >
            Reset <span className='text-xs'>(this deletes everything)</span>
        </button>
        <h2 className='py-2 hidden md:block'>Frontend Exercise</h2>
    </div>;
}
